# $Revision: 1.3.2.1 $, $Date: 2003/03/13 00:56:43 $
%include	/usr/lib/rpm/macros.perl
%define		pdir	Crypt
%define		pnam	HCE_MD5
Summary:	Crypt::HCE_MD5 Perl module - hash chaining encryption using MD5
Summary(pl):	Modu Perla Crypt::HCE_MD5 - acuchowe kodowanie z uyciem MD5
Name:		perl-Crypt-HCE_MD5
Version:	0.60
Release:	2
License:	unknown
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	perl >= 5.6
BuildRequires:	perl-Digest-MD5 >= 2
BuildRequires:	perl-MIME-Base64 >= 2
BuildRequires:	rpm-perlprov >= 4.0.2-104
Requires:	perl-Digest-MD5 >= 2
Requires:	perl-MIME-Base64 >= 2
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module implements a chaining block cipher using a one way hash.
This method of encryption is the same that is used by radius (RFC2138)
and is also described in Applied Cryptography.

%description -l pl
Ten modu jest implementacj acuchowego szyfru blokowego przy uyciu
jednokierunkowego mieszania. Jest to ta sama metoda, co uywana w
radiusie (RFC 2138) oraz opisana w Applied Cryptography.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL
%{__make}
%{__make} test

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_sitelib}/Crypt/HCE_MD5.pm
%{perl_sitelib}/auto/Crypt/HCE_MD5
%{_mandir}/man3/*
%{_examplesdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Crypt-HCE_MD5.spec,v $
Revision 1.3.2.1  2003/03/13 00:56:43  ankry
- BR: new rpm (new perl.prov), rel++

Revision 1.3  2003/02/25 00:37:42  radek
- use the __perl macro

Revision 1.2  2003/02/18 15:28:52  ankry
- massive attack: change CPAN URLs

Revision 1.1  2002/07/30 16:06:23  qboosh
- new

